# -*- encoding: utf-8 -*-
# stub: train-core 3.11.1 ruby lib

Gem::Specification.new do |s|
  s.name = "train-core".freeze
  s.version = "3.11.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/inspec/train/issues", "changelog_uri" => "https://github.com/inspec/train/blob/master/CHANGELOG.md", "homepage_uri" => "https://github.com/inspec/train", "source_code_uri" => "https://github.com/inspec/train" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chef InSpec Team".freeze]
  s.date = "2023-12-14"
  s.description = "A minimal Train with a backends for ssh and winrm.".freeze
  s.email = ["inspec@chef.io".freeze]
  s.files = ["LICENSE".freeze, "lib/train.rb".freeze, "lib/train/audit_log.rb".freeze, "lib/train/errors.rb".freeze, "lib/train/extras.rb".freeze, "lib/train/extras/command_wrapper.rb".freeze, "lib/train/extras/stat.rb".freeze, "lib/train/file.rb".freeze, "lib/train/file/local.rb".freeze, "lib/train/file/local/unix.rb".freeze, "lib/train/file/local/windows.rb".freeze, "lib/train/file/remote.rb".freeze, "lib/train/file/remote/aix.rb".freeze, "lib/train/file/remote/linux.rb".freeze, "lib/train/file/remote/qnx.rb".freeze, "lib/train/file/remote/unix.rb".freeze, "lib/train/file/remote/windows.rb".freeze, "lib/train/globals.rb".freeze, "lib/train/logger_ext.rb".freeze, "lib/train/options.rb".freeze, "lib/train/platforms.rb".freeze, "lib/train/platforms/common.rb".freeze, "lib/train/platforms/detect.rb".freeze, "lib/train/platforms/detect/helpers/os_common.rb".freeze, "lib/train/platforms/detect/helpers/os_linux.rb".freeze, "lib/train/platforms/detect/helpers/os_windows.rb".freeze, "lib/train/platforms/detect/scanner.rb".freeze, "lib/train/platforms/detect/specifications/api.rb".freeze, "lib/train/platforms/detect/specifications/os.rb".freeze, "lib/train/platforms/detect/uuid.rb".freeze, "lib/train/platforms/family.rb".freeze, "lib/train/platforms/platform.rb".freeze, "lib/train/plugin_test_helper.rb".freeze, "lib/train/plugins.rb".freeze, "lib/train/plugins/base_connection.rb".freeze, "lib/train/plugins/transport.rb".freeze, "lib/train/transports/cisco_ios_connection.rb".freeze, "lib/train/transports/local.rb".freeze, "lib/train/transports/mock.rb".freeze, "lib/train/transports/ssh.rb".freeze, "lib/train/transports/ssh_connection.rb".freeze, "lib/train/version.rb".freeze]
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.7".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Transport interface to talk to a selected set of backends.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_runtime_dependency(%q<ffi>.freeze, ["!= 1.13.0"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 1.8", "< 3.0"])
    s.add_runtime_dependency(%q<mixlib-shellout>.freeze, [">= 2.0", "< 4.0"])
    s.add_runtime_dependency(%q<net-scp>.freeze, [">= 1.2", "< 5.0"])
    s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 2.9", "< 8.0"])
  else
    s.add_dependency(%q<addressable>.freeze, ["~> 2.5"])
    s.add_dependency(%q<ffi>.freeze, ["!= 1.13.0"])
    s.add_dependency(%q<json>.freeze, [">= 1.8", "< 3.0"])
    s.add_dependency(%q<mixlib-shellout>.freeze, [">= 2.0", "< 4.0"])
    s.add_dependency(%q<net-scp>.freeze, [">= 1.2", "< 5.0"])
    s.add_dependency(%q<net-ssh>.freeze, [">= 2.9", "< 8.0"])
  end
end
